Bug 69700 - RFE: Add dracd support to imap-2001a and add dracd package
RFE: Add dracd support to imap-2001a and add dracd package
Product: Red Hat Public Beta
Classification: Retired
Component: imap (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-07-24 12:38 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-24 12:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-07-24 12:38:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020720

Description of problem:
dracd adds support for imap before smtp. This is a great way to solve the remote
relayers problem. It requires a patch to imap-2001a(avaiable) and the daemon. It
works by imap looking dracd up via portmap, reporting to dracd that a user has
logged in, and then dracd writes the right file for the mail server. The mail
server if configured to read the file allows users that have just authenicated
via imap to relay for a set period of time.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. up2date --showall | grep dracd


Actual Results:  Nothing

Expected Results:  dracd-1.11-1

Additional info:

http://mail.cc.umanitoba.ca/drac/ is the main page. 

http://mail.cc.umanitoba.ca/drac/pop.html is links to patches for various
pop3/imap servers

I have set this up on a RedHat 7.3 box and I am very happy with it. It would be
nice if I didn't have to match imap-2001a in the future when upgrading and I
think this is a feature many other people would use.
Comment 1 Mike A. Harris 2002-07-24 15:18:54 EDT
UW imap is not real open source software.  Any patches which add features
to it need to be approved by UW, and included in an official UW imap
release in the stock source code prior to it being included in Red Hat
Linux.  The University in particular does not maintain prior software
versions too well, which places an additional burden on Red Hat to keep
the package updated with security fixes, etc. since the UW's solution
is always to upgrade to their beta development code.

Forking their code by patching it with feature patches, means that this
support burden is extended to a greater extent to Red Hat.

If these patches are stable, and sane, they should be submitted to
the university for inclusion in imap 2002 or later.  If the project
followed a more open development model, had public CVS and developmental
mailing lists, and the license was true open source, and the code sane,
then feature requests like this could be more manageable.

Unfortunately, this isn't the case currently.  Sorry.
Comment 2 Nathan G. Grennan 2002-07-24 15:22:24 EDT
Sounds like a search for a new imap server suite is definitely in order then :\
Comment 3 Mike A. Harris 2002-07-25 05:13:20 EDT
Well, if the patched UW imap server works for you, you can just use that
if you like.  If you need to find some other software that does the job,
then perhaps the dracd support wouldn't have been an acceptable solution
if it were included with Red Hat Linux anyway.

Some other possible imap servers that are available that may or may not
do what you want include:  cyrus-imap, courier-imap

Probably others out there as well.  I'd love nothing more than to ditch
UW imap from the distro and replace it with something else.  Not as
easy to do that though as one might think.

Note You need to log in before you can comment on or make changes to this bug.